Bug 201001 - kernel panic at booting ("BUG: sheduling while atomic : init")
kernel panic at booting ("BUG: sheduling while atomic : init")
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-02 02:14 EDT by MASAO TAKAHASHI
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-24 02:32:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
config file (55.36 KB, text/plain)
2006-08-02 22:26 EDT, MASAO TAKAHASHI
no flags Details

  None (edit)
Description MASAO TAKAHASHI 2006-08-02 02:14:50 EDT
Description of problem:
kernel panic has occurred at boot time.

Version-Release number of selected component (if applicable):
linux-2.6.17-1.2503 and 2507

How reproducible:
always booting

Steps to Reproduce:
1. boot
2.
3.
  
Actual results:
BUG messages appered.
"BUG: scheduling while atomic : init/0x000001/1"
And cannot bootup.

Expected results:


Additional info:
An original kerenel-2.6.18-rc3-git1 is OK.
Comment 1 MASAO TAKAHASHI 2006-08-02 04:54:51 EDT
linux-2.6.17-1.2488.fc6 is good.
Comment 2 MASAO TAKAHASHI 2006-08-02 04:57:30 EDT
(In reply to comment #1)
> linux-2.6.17-1.2488.fc6 is good.
This is not correct.
A correct statement is 
"linux-2.6.17-1.2478.fc6 is good.".
Comment 3 MASAO TAKAHASHI 2006-08-02 22:26:54 EDT
Created attachment 133527 [details]
config file
Comment 4 MASAO TAKAHASHI 2006-08-02 22:29:20 EDT
linux-2.6.17-1.2512.fc6 has same problem.
Comment 5 MASAO TAKAHASHI 2006-08-07 23:58:48 EDT
linux-2.6.17-1.2530.fc6 is bad.
Please all patches.
Please rebase all patches to kernel-2.6.18-rc4.
Comment 6 MASAO TAKAHASHI 2006-08-08 21:01:18 EDT
linux-2.6.17-1.2532.fc6 is bad.
This is made by an attached config file.
Comment 7 MASAO TAKAHASHI 2006-08-10 21:42:19 EDT
I can't solve this problem.
But I have found a workaround as follows.
When applied this workaround, then the kernel is booted normally.

1. tested fedora core kernel devel version
   linux-2.6.17-1.2545.fc6
2. workaround
   make configuration changes.
   Here
   # CONFIG_PREEMPT_NONE is not set
   CONFIG_PREEMPT_VOLUNTARY=y
   # CONFIG_PREEMPT is not set

Please check this workaround.
Comment 8 MASAO TAKAHASHI 2006-08-24 02:32:32 EDT
This bug has been fixed after linux-2.6.17-1.2583.fc6.
What's happened ?

Note You need to log in before you can comment on or make changes to this bug.